{ ... }:
let
  port = 1883;
in
{
  services.mosquitto = {
    enable = true;
    logType = [ "all" ];
    listeners = [
      {
        address = "0.0.0.0";
        port = port;
        settings = {
          allow_anonymous = true;
        };
      }
    ];
  };
  networking.firewall.allowedTCPPorts = [ port ];
}
